package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import java.util.Date;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 考试机构设置
 *
 * @author WANGWEI
 * @date 2018年5月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamOrgDomain implements JsonSerializable {

	private static final long serialVersionUID = -3335725218626631530L;

	private Long id;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 机构ID
	 */
	private Long orgId;

	/**
	 * 考试批次开始时间
	 */
	private Date beginTime;

	/**
	 * 考试批次结束时间
	 */
	private Date endTime;

	/**
	 * 是否允许上传附件(离线考试)
	 */
	private Boolean canUploadAttachment;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Boolean getCanUploadAttachment() {
		return canUploadAttachment;
	}

	public void setCanUploadAttachment(Boolean canUploadAttachment) {
		this.canUploadAttachment = canUploadAttachment;
	}

}
